org.crosswire.common.progress.swing

## Class JobsProgressBar.JobData

- java.lang.Object
- - org.crosswire.common.progress.swing.JobsProgressBar.JobData

- All Implemented Interfaces:
    EventListener, org.crosswire.common.progress.WorkListener
  Enclosing class:
    JobsProgressBar

      private static class JobsProgressBar.JobData
      extends Object
      implements org.crosswire.common.progress.WorkListener

  A simple class to group information about a Job

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private JobsProgressBar` | `bar`
    `private JButton` | `cancelButton`
    `private Component` | `comp`
    `private int` | `index`
    `private org.crosswire.common.progress.Progress` | `job`
    `private JProgressBar` | `progress`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobsProgressBar.JobData(JobsProgressBar bar, org.crosswire.common.progress.Progress job, int index, JProgressBar progress)` Simple ctor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private Component` | `decorateProgressBar()` Decorate the progress bar if the job can be interrupted.
    `Component` | `getComponent()`
    `(package private) int` | `getIndex()` Accessor for the index
    `(package private) org.crosswire.common.progress.Progress` | `getJob()` Accessor for the Job
    `(package private) JProgressBar` | `getProgress()` Accessor for the Progress Bar
    `(package private) void` | `invalidate()` ensure we can't be used again
    `void` | `workProgressed(org.crosswire.common.progress.WorkEvent ev)`
    `void` | `workStateChanged(org.crosswire.common.progress.WorkEvent evt)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bar

          private JobsProgressBar bar

    - #### job

          private org.crosswire.common.progress.Progress job

    - #### index

          private int index

    - #### progress

          private JProgressBar progress

    - #### comp

          private Component comp

    - #### cancelButton

          private JButton cancelButton

  - ### Constructor Detail

    - #### JobsProgressBar.JobData

          JobsProgressBar.JobData(JobsProgressBar bar,
                                 org.crosswire.common.progress.Progress job,
                                 int index,
                                 JProgressBar progress)

      Simple ctor

  - ### Method Detail

    - #### invalidate

          void invalidate()

      ensure we can't be used again

    - #### getJob

          org.crosswire.common.progress.Progress getJob()

      Accessor for the Job

    - #### getProgress

          JProgressBar getProgress()

      Accessor for the Progress Bar

    - #### getComponent

          public Component getComponent()

    - #### getIndex

          int getIndex()

      Accessor for the index

    - #### workStateChanged

          public void workStateChanged(org.crosswire.common.progress.WorkEvent evt)

      Specified by:
        `workStateChanged` in interface `org.crosswire.common.progress.WorkListener`

    - #### workProgressed

          public void workProgressed(org.crosswire.common.progress.WorkEvent ev)

      Specified by:
        `workProgressed` in interface `org.crosswire.common.progress.WorkListener`

    - #### decorateProgressBar

          private Component decorateProgressBar()

      Decorate the progress bar if the job can be interrupted. We put the cancel button in a 1 row, 2 column grid where the button is in a minimally sized fixed cell and the progress meter follows in a horizontally stretchy cell